%global zikula_base             %{_datadir}/zikula
%global zikula_moddir           %{zikula_base}/modules
%global zikula_modname          advanced_polls

Name:           zikula-module-%{zikula_modname}
Version:        1.5.1
Release:        1%{?dist}
Summary:        Advanced voting system for Zikula

Group:          Applications/Publishing
License:        GPL+
URL:            http://code.zikula.org/avancedpolls/downloads
# http://code.zikula.org/advancedpolls/downloads/2
Source0:        %{zikula_modname}151.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
#BuildRequires:
Requires:       zikula

%description
Advanced Polls is an advanced voting system for the Zikula CMS system


%prep
%setup -qn html/modules/%{zikula_modname}
# Remove empty index.html and others
find -size 0 | xargs rm -f


%build
# Fixing wrong-file-end-of-line-encoding errors
cd pndocs
sed -i 's/\r//' credits.txt
sed -i 's/\r//' changelog.txt
sed -i 's/\r//' help.txt
sed -i 's/\r//' license.txt

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname} 
cp -pr . $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}
rm -rf $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}/pndocs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc pndocs/credits.txt pndocs/changelog.txt pndocs/help.txt pndocs/license.txt
%{zikula_moddir}/%{zikula_modname}


%changelog
* Wed Jul 15 2009 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 1.5.1-1
- Initial RPM release
